Bug 11572 - anaconda crashes in remote install(kickstart+pxe)
anaconda crashes in remote install(kickstart+pxe)
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-22 04:07 EDT by nso
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-31 18:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nso 2000-05-22 04:07:36 EDT
I found "RedHat/instimage/usr/lib/anaconda/lang-table" file does not exist.
I can't find this bug on bugzilla.

I ftped Redhat 6.2 zoot-i386 iso file from ftp.redhat.com about 1 month
before.(I can't remember exactly when I was downloading it.)

Screen dump
Exception Occurred
Traceback (innermost last):
File "/usr/bin/anaconda", line 341, in ?
  extraModules = extraModules)
File "/usr/lib/anaconda/todo.py", line 290, in __init__
  self.language = Language ()
File "/usr/lib/anaconda/todo.py", line 203, in __init__
  f = open("/usr/lib/anaconda/lang-table", "r")
IOError: [Errno 2] Mo such file or directory: '/usr/lib/anaconda/lang-
table'
Comment 1 Brock Organ 2000-06-23 10:23:10 EDT
what is your kickstart language selection ...?

(a code snippet from the 6.2 todo.py shows this situation occurs when the
lang-table is not found in any of the expected places:

class Language (SimpleConfigFile):                                              
def __init__ (self):                                                            
self.info =
{}                                                                                                                                                   
if os.access("lang-table",
os.R_OK):                                             		f = open("lang-table",
"r")                                              elif
os.access("/etc/lang-table", os.R_OK):                                      		f
= open("/etc/lang-table", "r")                                        
else:                                                                            	
f = open("/usr/lib/anaconda/lang-table",
"r")                                          
)
Comment 2 nso 2000-06-23 16:42:35 EDT
This is my kickstart configuration file.
I used it for RedHat Linux 6.1.

lang en_US
network --bootproto=static --ip=10.10.10.117 --netmask=255.255.255.128 --
gateway=10.10.10.1 --nameserver=10.10.10.113
nfs --server 10.10.10.113 --dir /export/zoot
keyboard us
zerombr no
clearpart --all
part / --size 2000
part /export --size 6500
part swap --size 1 --grow
install
mouse msintellips/2
timezone ROK
xconfig --server "SVGA" --monitor "Samsung SyncMaster 15GLe"
rootpw --iscrypted 5uhWrmjV11UYU
auth --useshadow --enablemd5
lilo --location mbr
reboot
%packages
@ Everything
%post
mkdir /user
cat <<EOF >>/etc/fstab
node00:/user    /user   nfs     defaults        0 0
EOF
cat <<EOF >>/etc/hosts
129.254.188.100 node00
EOF
Comment 3 Brock Organ 2000-08-31 18:53:36 EDT
hmmm ... using the above kickstart file (changing the necessary info such as
server name & location, ip info, etc) with 6.2 works in our test lab ... can you
reverify your download ...?

please reopen if this is still a problem for you and/or you have other
information on how to reproduce the problem ... thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.